Loading...
Searching...
No Matches
fourdst::composition::CanonicalComposition Struct Reference

Represents the canonical (X, Y, Z) composition of stellar material. More...

`#include <composition.h>`

## Public Attributes

double | X = 0.0
| Mass fraction of Hydrogen.
double | Y = 0.0
| Mass fraction of Helium.
double | Z = 0.0
| Mass fraction of Metals.

## Friends

std::ostream & | operator<< (std::ostream &os, const CanonicalComposition &composition)
| Overloads the stream insertion operator for easy printing.

## Detailed Description

Represents the canonical (X, Y, Z) composition of stellar material.

This is a standard astrophysical representation where:

- X is the total mass fraction of all hydrogen isotopes.
- Y is the total mass fraction of all helium isotopes.
- Z is the total mass fraction of all other elements (metals). By definition, X + Y + Z should sum to 1.0.

Definition at line 46 of file composition.h.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const CanonicalComposition & | composition )

friend

Overloads the stream insertion operator for easy printing.

Parameters

  os | The output stream.
  composition | The CanonicalComposition object to print.

Returns
  The output stream.

Definition at line 57 of file composition.h.

## Member Data Documentation

## X

double fourdst::composition::CanonicalComposition::X = 0.0

Mass fraction of Hydrogen.

Definition at line 47 of file composition.h.

## Y

double fourdst::composition::CanonicalComposition::Y = 0.0

Mass fraction of Helium.

Definition at line 48 of file composition.h.

## Z

double fourdst::composition::CanonicalComposition::Z = 0.0

Mass fraction of Metals.

Definition at line 49 of file composition.h.

The documentation for this struct was generated from the following file:

- src/composition/include/fourdst/composition/composition.h